# -*- coding: utf-8 -*-
import os
import sys
from PyQt5.QtWidgets import *
from PyQt5.QtCore import *
from PyQt5.QtGui import  *
from guis.jiemian import *
from guis.jiemian2 import *
from guis.jiemian3 import *


class Window1(QMainWindow, Ui_MainWindow):
    def __init__(self, parent=None):
        super(Window1, self).__init__(parent)
        self.setupUi(self)

        self.pushButton_2.clicked.connect(self.w2)
        self.pushButton_3.clicked.connect(self.w3)
    def w2(self):
        self.window2=Window2()
        self.window2.show()
    def w3(self):
        self.window3=Window3(
        )
        self.window3.show()


class Window2(QMainWindow, Ui_MainWindow2):
    def __init__(self, parent=None):
        super(Window2, self).__init__(parent)
        self.setupUi(self)

class Window3(QMainWindow, Ui_MainWindow3):
    def __init__(self, parent=None):
        super(Window3, self).__init__(parent)
        self.setupUi(self)
if __name__ == '__main__':
    QCoreApplication.setAttribute(QtCore.Qt.AA_EnableHighDpiScaling)
    app = QApplication(sys.argv)
    win = Window1()
    win.show()
    sys.exit(app.exec_())
